package com.ruoyi.project.patrol.dev.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.dev.mapper.TDevSafetyBeltMapper;
import com.ruoyi.project.patrol.dev.domain.TDevSafetyBelt;
import com.ruoyi.project.patrol.dev.service.ITDevSafetyBeltService;

/**
 * 安全带Service业务层处理
 * 
 * @author admin
 * @date 2023-11-08
 */
@Service
public class TDevSafetyBeltServiceImpl implements ITDevSafetyBeltService 
{
    @Autowired
    private TDevSafetyBeltMapper tDevSafetyBeltMapper;

    /**
     * 查询安全带
     * 
     * @param id 安全带主键
     * @return 安全带
     */
    @Override
    public TDevSafetyBelt selectTDevSafetyBeltById(Long id)
    {
        return tDevSafetyBeltMapper.selectTDevSafetyBeltById(id);
    }

    /**
     * 查询安全带列表
     * 
     * @param tDevSafetyBelt 安全带
     * @return 安全带
     */
    @Override
    public List<TDevSafetyBelt> selectTDevSafetyBeltList(TDevSafetyBelt tDevSafetyBelt)
    {
        return tDevSafetyBeltMapper.selectTDevSafetyBeltList(tDevSafetyBelt);
    }

    /**
     * 新增安全带
     * 
     * @param tDevSafetyBelt 安全带
     * @return 结果
     */
    @Override
    public int insertTDevSafetyBelt(TDevSafetyBelt tDevSafetyBelt)
    {
        return tDevSafetyBeltMapper.insertTDevSafetyBelt(tDevSafetyBelt);
    }

    /**
     * 修改安全带
     * 
     * @param tDevSafetyBelt 安全带
     * @return 结果
     */
    @Override
    public int updateTDevSafetyBelt(TDevSafetyBelt tDevSafetyBelt)
    {
        return tDevSafetyBeltMapper.updateTDevSafetyBelt(tDevSafetyBelt);
    }

    /**
     * 批量删除安全带
     * 
     * @param ids 需要删除的安全带主键
     * @return 结果
     */
    @Override
    public int deleteTDevSafetyBeltByIds(Long[] ids)
    {
        return tDevSafetyBeltMapper.deleteTDevSafetyBeltByIds(ids);
    }

    /**
     * 删除安全带信息
     * 
     * @param id 安全带主键
     * @return 结果
     */
    @Override
    public int deleteTDevSafetyBeltById(Long id)
    {
        return tDevSafetyBeltMapper.deleteTDevSafetyBeltById(id);
    }
}
